Bug 214210 - audio/sndio: Update to 1.2.0
Summary: audio/sndio: Update to 1.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-11-04 11:49 UTC by Tobias Kortkamp
Modified: 2016-11-25 01:12 UTC (History)
4 users (show)

See Also:


Attachments
sndio.diff (38.45 KB, patch)
2016-11-04 11:49 UTC, Tobias Kortkamp
tobik: maintainer-approval+
Details | Diff
sndio.diff (39.93 KB, patch)
2016-11-04 12:14 UTC, Tobias Kortkamp
tobik: maintainer-approval+
Details | Diff
sndio.diff (43.76 KB, patch)
2016-11-06 09:13 UTC, Tobias Kortkamp
tobik: maintainer-approval+
Details | Diff
sndio.diff (43.89 KB, patch)
2016-11-06 09:46 UTC, Tobias Kortkamp
tobik: maintainer-approval+
Details | Diff
sndio.diff (27.26 KB, patch)
2016-11-06 13:42 UTC, Tobias Kortkamp
tobik: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2016-11-04 11:49:05 UTC
Created attachment 176616 [details]
sndio.diff

- Simplify OSS backend
- Correctly handle xruns
- Add experimental MIDI backend for snd_uaudio(4)

poudriere testport on FreeBSD 10.3/amd64 ok, portlint ok
Comment 1 Tobias Kortkamp freebsd_committer 2016-11-04 12:14:03 UTC
Created attachment 176617 [details]
sndio.diff

Forgot to include two patches to enable the MIDI backend.
Comment 2 Tobias Kortkamp freebsd_committer 2016-11-06 09:13:08 UTC
Created attachment 176676 [details]
sndio.diff

Update with some improvements from Alexandre Ratchov
Comment 3 Tobias Kortkamp freebsd_committer 2016-11-06 09:46:00 UTC
Created attachment 176678 [details]
sndio.diff
Comment 4 Tobias Kortkamp freebsd_committer 2016-11-06 13:42:01 UTC
Created attachment 176684 [details]
sndio.diff

Sometimes things move more quickly than you think :-) Here is an update to the new sndio 1.2.0 release which includes all of the above fixes.

Changes:
- Improved OSS support
- Support for snd_uaudio(4) /dev/umidi* interfaces.  /dev/umidi1.0 maps to rmidi/1 in sndio, /dev/umidi1.1 to rmidi/1.1
- The configure script has support for DragonFly
- More detailed changes: https://pkg.tobik.me/sndio-1.2.0-changes.txt
Comment 5 Carlos J. Puga Medina freebsd_committer 2016-11-17 18:34:19 UTC
I'll take care :)
Comment 6 Carlos J. Puga Medina freebsd_committer 2016-11-22 21:45:39 UTC
Waiting for mentor approval.

Thanks for your patience, Tobik.
Comment 7 Mark Felder freebsd_committer 2016-11-24 15:58:31 UTC
Approved
Comment 8 commit-hook freebsd_committer 2016-11-25 01:12:24 UTC
A commit references this bug:

Author: cpm
Date: Fri Nov 25 01:11:42 UTC 2016
New revision: 427071
URL: https://svnweb.freebsd.org/changeset/ports/427071

Log:
  audio/sndio: Update to 1.2.0

  - Update PORTVERSION and distinfo checksum (1.2.0)
  - Remove unneeded patches
  - Update pkg-message according to changes

  - Improved OSS support
  - Support for snd_uaudio(4) /dev/umidi* interfaces.  /dev/umidi1.0 maps to rmidi/1 in sndio, /dev/umidi1.1 to rmidi/1.1
  - The configure script has support for DragonFly
  - More detailed changes: https://pkg.tobik.me/sndio-1.2.0-changes.txt

  PR:		214210
  Submitted by:	Tobias Kortkamp <t@tobik.me> (maintainer)
  Approved by:	feld (mentor)

Changes:
  head/audio/sndio/Makefile
  head/audio/sndio/distinfo
  head/audio/sndio/files/patch-configure
  head/audio/sndio/files/patch-libsndio_Makefile.in
  head/audio/sndio/files/patch-libsndio_sio.c
  head/audio/sndio/files/patch-libsndio_sio__oss.c
  head/audio/sndio/files/patch-libsndio_sio__priv.h
  head/audio/sndio/files/sndiod.in
  head/audio/sndio/pkg-message
Comment 9 Carlos J. Puga Medina freebsd_committer 2016-11-25 01:12:46 UTC
Committed, thanks!